<!-- PROJECT SHIELDS -->
[![TYPO3 12](https://img.shields.io/badge/TYPO3-12-orange.svg)](https://get.typo3.org/version/12)

# GSB&nbsp;11 Extension gsb_metadata_cleaner


## About
The extension `gsb_metadata_cleaner` helps the reduce the amount of data - especially personal information - in metadata of files. It uses exiftool to delete everything except for "copyright" data and tags which can be configured per storage. This applies to **pdfs** and **images**.

It is part of the Government Side Builder&nbsp;11.

[Learn more about the GSB&nbsp;11][gsb11-readme-url].


## Installation
The best way to install this extension is to start with the [GSB Sitepackage Kickstarter][kickstarter-url] extension.

## Quick installation without GSB Sitepackage Kickstarter
In a composer-based TYPO3 installation you can install the extension EXT:gsb_metadata_cleaner via composer:

```sh
composer config -g gitlab-domains gitlab.opencode.de && \
composer config -g repositories.gsb-metadata-cleaner vcs https://gitlab.opencode.de/bmi/government-site-builder-11/extensions/gsb_metadata_cleaner
```

```sh
composer require itzbund/gsb-metadata-cleaner
```

In TYPO3 installations above version 11.5 the extension will be automatically installed. You do not have to activate it manually.


## Configuration
For each file storage you can configure (`TCA/TSconfig`) which fields (except for `copyright`/`Xmp-dc:Rights`, which are always kept) are preserved.

### Extension Settings
The paths to the `exiftool` and `qpdf` binary can be configured. **Note that you cannot configure the binary name itself, just the path to the binaries.**
You can disable `qpdf` if it breaks you pdfs.

## Usage
Nothing to do. Just include the extension and your file's metadata gets a cleanup 🧹 on upload.


## Contribute
As with TYPO3, we encourage you to join the project by submitting changes. Development of the GSB&nbsp;11 happens mainly in the GSB&nbsp;11 TYPO3 extension repositories.

To get started, have a look at our [detailed contribution walkthrough](https://git.gsb-itzbund.de/gsb11/extensions/gitlab-profile/-/blob/main/CONTRIBUTING.md).


<!-- MARKDOWN LINKS & IMAGES -->
<!-- https://www.markdownguide.org/basic-syntax/#reference-style-links -->
[gsb11-readme-url]: https://git.gsb-itzbund.de/gsb11/extensions
[kickstarter-url]: https://git.gsb-itzbund.de/gsb11/extensions/gsb_sitepackage
